summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Mark Walling <mark@markwalling.org>2010-05-11 20:01:32 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:32 +0200
commit3bfe0f486d92a587c6928b8383d2877f06e04b6a (patch)
tree6b2f06574f58ff36fab018a31d762c3a23d16915 /network
parent8e7effbb1415dc68b80b89cc913be13a7c780c6b (diff)
downloadslackbuilds-3bfe0f486d92a587c6928b8383d2877f06e04b6a.tar.gz
slackbuilds-3bfe0f486d92a587c6928b8383d2877f06e04b6a.tar.xz
network/fping: Added to 12.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/fping/README4
-rw-r--r--network/fping/fping.SlackBuild82
-rw-r--r--network/fping/fping.info8
-rw-r--r--network/fping/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/network/fping/README b/network/fping/README
new file mode 100644
index 0000000000..f989e116d1
--- /dev/null
+++ b/network/fping/README
@@ -0,0 +1,4 @@
+fping is a ping(1) like program which uses the Internet Control Message
+Protocol (ICMP) echo request to determine if a host is up. fping is
+different from ping in that you can specify any number of hosts on the
+command line, or specify a file containing the lists of hosts to ping.
diff --git a/network/fping/fping.SlackBuild b/network/fping/fping.SlackBuild
new file mode 100644
index 0000000000..d59f53988c
--- /dev/null
+++ b/network/fping/fping.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for fping
+# Copyright (c) 2008, Written by Mark Walling <mark@markwalling.org>
+
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=fping
+VERSION=2.4b2_to
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/fping/fping.info b/network/fping/fping.info
new file mode 100644
index 0000000000..533f93156a
--- /dev/null
+++ b/network/fping/fping.info
@@ -0,0 +1,8 @@
+PRGNAM="fping"
+VERSION="2.4b2_to"
+HOMEPAGE="http://www.fping.com"
+DOWNLOAD="http://fping.sourceforge.net/download/fping.tar.gz"
+MD5SUM="d5e8be59e307cef76bc479e1684df705"
+MAINTAINER="Mark Walling"
+EMAIL="mark@markwalling.org"
+APPROVED="Michiel"
diff --git a/network/fping/slack-desc b/network/fping/slack-desc
new file mode 100644
index 0000000000..3da146bb68
--- /dev/null
+++ b/network/fping/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+fping: fping (a ping like program to send ICMP echo requests)
+fping:
+fping: fping is a ping(1) like program which uses the Internet Control
+fping: Message Protocol (ICMP) echo request to determine if a host is up.
+fping: fping is different from ping in that you can specify any number of
+fping: hosts on the command line, or specify a file containing the lists of
+fping: hosts to ping.
+fping:
+fping: http://www.fping.com/
+fping:
+fping: